Eclipse with PyDev

최근 Python 스크립트를 작성하는데 여러 함수와 클레스가 사용되는 스크립트라 Eclipse의 PyDev 플러그인을 이용하여 작성해 보았다.

나름 쓸만하였고 테마까지 셋팅해주니 앞으로 이것만 계속 쓸거 같은 느낌? 셋팅 과정에서 에러가 발생하는 부분이 있어 다음에 설치 시 삽질을 줄이고자 기록해 둔다.

1) 우선 이클립스를 다운로드 하자.
Eclipse : http://www.eclipse.org

어떤 패키지도 상관없으나 난 PyDev만 사용할것이므로 용량이 제일 적은 패키지인 "Eclipse for Testers" 로 설치하였다.
추가로 당연하겠지만 Eclipse 실행을 하려면 JRE가 설치되어 있어야 한다.

2) Eclipse를 실행하여 [Help] – [Install New Software] 를 선택하여 [Add] 버튼을 눌러 아래 다운로드 주소를 추가 한다.
PyDev : http://pydev.org/updates

3) 추가를 하면 PyDev가 나오며 체크를 하여 설치를 하면 되는데, 여기서 "Contect all update sites during install to required software" 에는 체크를 꼭 풀고 설치를 하자. 이때문에 설치 과정에서 에러가 자주 발생했다.

그리고 아래 플러그인 들도 추천한다.
테마 : http://eclipse-color-theme.github.com/update/
Word Wrap : http://ahtik.com/eclipse-update/

역시 설치 시 "Contect all update sites during install to required software" 에는 체크를 풀고 하도록 하자.

댓글 남기기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다